"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Alert = void 0;
const react_1 = __importDefault(require("react"));
const utilities_1 = require("../utilities");
const s = __importStar(require("../styles"));
const Alert = ({ children, uiFunction = utilities_1.UiFunction.Success, ...rest }) => {
    const style = {
        ...s.Rounded,
        border: '1px solid transparent',
        color: '#000000cc',
        margin: '5px',
        padding: '10px',
    };
    switch (uiFunction) {
        case utilities_1.UiFunction.Danger:
            style.backgroundColor = '#f8d7da';
            style.borderColor = '#f5c2c7';
            style.color = '#842029';
            break;
        case utilities_1.UiFunction.Info:
            style.backgroundColor = '#cff4fc';
            style.borderColor = '#b6effb';
            style.color = '#055160';
            break;
        case utilities_1.UiFunction.Success:
            style.backgroundColor = '#d1e7dd';
            style.borderColor = '#badbcc';
            style.color = '#0f5132';
            break;
        case utilities_1.UiFunction.Warning:
            style.backgroundColor = '#fff3cd';
            style.borderColor = '#ffecb5';
            style.color = '#664d03';
            break;
        default:
            break;
    }
    return (react_1.default.createElement("div", { style: style, ...rest }, children));
};
exports.Alert = Alert;
//# sourceMappingURL=alert.js.map